/*Colorful letters */

.red {color: #BD472A;}

.golden{color: #FFCD00;}

.green{color: #00664F;}
.greenLight{color: #00AF66;}

.orange{color: #FF8200}

.navy{color: #00558C;}

.blue{color: #00A9E0;}

.gray{color: #63666A;}
.grayLight{color: #BBBCBC;}


/*Customize letter size*/

.Huge { font-size: 300%; }
.huge { font-size: 250%; }
.Large { font-size: 200%; }
.large { font-size: 150%; }
.normal { font-size: 120%; }
.Small { font-size: 80%; }
.small { font-size: 60%; }
.Tiny { font-size: 40%; }
.tiny { font-size: 30%; }


/* Title slide */

/*
h1.title {
  padding-top: 300px;
  font-size: 150%;
  text-align: left;
  padding-bottom: 18px;
  margin-bottom: 18px;
}

p.subtitle {
  font-size: 70%;
  text-align: left;
}

*/

.quarto-title-authors{
  font-size: 90%;
  text-align: center;
  color: gray;
}

p.quarto-title-affiliation{
  font-size: 90%;
  text-align: center;
  color: gray;
}

p.date{
  font-size: 70%;
  text-align: center;
  color: gray;
}

/*Code chunk*/
.sourceCode{ /* Code block */
  font-size: 120%;
}

.cell{
  font-size: 120%;
}


/* Overlay images */

.overlay-container {
  position: relative;
  min-height: 300px; /* 确保容器有足够的高度 */
}


.overlay-text {
  position: relative;
  z-index: 1; /* 文字层级比图片高 */
  color: black; /* 文字颜色与图片对比 */
}

.overlay-image {
  position: absolute;
  top: 0;
  left: 0;
  opacity: 1; /* 设置图像的透明度 */
  width: 100%;  /* 使图像覆盖整个容器 */
  height: auto;
  z-index: 2;  /* 图片层级比文字低 */
}

.overlay-text-over {
  position: absolute;
  top: 50%; /* Position from the top, 50% to center vertically */
  left: 50%; /* Position from the left, 50% to center horizontally */
  transform: translate(-50%, -50%); /* Adjust the position to perfectly center */
  z-index: 3; /* Text layer above the image */
  color: black; /* Text color for contrast */
  background-color: white; /* White background for the text */
  padding: 10px; /* Add padding around the text */
  text-align: center; /* Center the text horizontally */
  opacity: 1; /* Set opacity */
  width: 100%; /* Take up full width */
  box-sizing: border-box; /* Ensure padding is included in width calculation */
  white-space: normal; /* Allow text to wrap if it's too long */
}

/*Reduce the margins and padding for img elements */
img.quarto-figure {
  margin-top: 0px !important;
  margin-bottom: 0px !important;
  padding: 0 !important;
}

/* Reduce the margins and padding for div elements wrapping figures */
div.quarto-figure {
  margin-top: 0px !important;
  margin-bottom: 0px !important;
  padding: 0 !important;
}

/* Reduce margins and padding for figure elements */
figure {
  margin-top: 0px !important;
  margin-bottom: 0px !important;
  padding: 0 !important;
}

/* Tsinghua ribbon */

.reveal h2 {
    background-color: #660874;
    padding: 10px 20px;
    color: white;
    border-radius: 0px;
    margin: 0;
}
